Gecode::Gist::TextOutput Class Reference

An window for simple text output. More...

`#include <gist.hh>`

## Public Member Functions

| TextOutput (const std::string &name)
| Constructor.
void | finalize (void)
| Clean up when Gist exits.
virtual | ~TextOutput (void)
| Destructor.
virtual std::string | name (void)
| Name of the inspector.

## Protected Member Functions

void | init (void)
| Initialize the implementation object.
std::ostream & | getStream (void)
| Get the stream that is used to output text.
void | flush (void)
| Flush stream.
void | addHtml (const char *s)
| Add html text s to the output.

## Detailed Description

An window for simple text output.

Definition at line 160 of file gist.hh.

## Constructor & Destructor Documentation

## TextOutput()

Gecode::Gist::TextOutput::TextOutput | ( | const std::string & | name | ) |

Constructor.

Definition at line 60 of file gist.cpp.

## ~TextOutput()

Gecode::Gist::TextOutput::~TextOutput | ( | void |  | ) |

virtual

Destructor.

Definition at line 69 of file gist.cpp.

## Member Function Documentation

## init()

void Gecode::Gist::TextOutput::init | ( | void |  | ) |

protected

Initialize the implementation object.

Definition at line 77 of file gist.cpp.

## getStream()

std::ostream & Gecode::Gist::TextOutput::getStream | ( | void |  | ) |

protected

Get the stream that is used to output text.

Definition at line 85 of file gist.cpp.

## flush()

void Gecode::Gist::TextOutput::flush | ( | void |  | ) |

protected

Flush stream.

Definition at line 90 of file gist.cpp.

## addHtml()

void Gecode::Gist::TextOutput::addHtml | ( | const char * | s | ) |

protected

Add html text s to the output.

Definition at line 95 of file gist.cpp.

## finalize()

void Gecode::Gist::TextOutput::finalize | ( | void |  | ) |

Clean up when Gist exits.

Definition at line 64 of file gist.cpp.

## name()

std::string Gecode::Gist::TextOutput::name | ( | void |  | ) |

virtual

Name of the inspector.

Reimplemented in Gecode::Gist::Print< S >, and Gecode::Gist::VarComparator< S >.

Definition at line 74 of file gist.cpp.

The documentation for this class was generated from the following files:

- gecode/gist.hh
- gecode/gist/gist.cpp